> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an event by id



## OpenAPI

````yaml /api/openapi.json get /v1/polymarket/events/{event_id}
openapi: 3.1.0
info:
  title: Radion REST API
  description: Official REST API for Radion prediction market intelligence layer.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.radion.app
    description: Production
security:
  - {}
  - ApiKey: []
tags:
  - name: Health
    description: Check whether the REST API is up and running.
  - name: Authentication
    description: Inspect the currently authenticated API key.
  - name: Events
    description: Events metadata.
  - name: Markets
    description: Markets metadata.
  - name: Orderbook
    description: CLOB orderbook midpoint passthrough.
  - name: Search
    description: Fuzzy search across markets, topics, and profiles.
  - name: Stats
    description: Public platform stats and indexer backfill progress.
paths:
  /v1/polymarket/events/{event_id}:
    get:
      tags:
        - Events
      summary: Get an event by id
      operationId: get_event_by_id
      parameters:
        - name: event_id
          in: path
          description: Event numeric id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '429':
          $ref: '#/components/responses/TooManyRequestsResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  schemas:
    Event:
      type: object
      required:
        - id
        - venue
        - themes
        - marketCount
        - markets
      properties:
        active:
          type:
            - boolean
            - 'null'
        archived:
          type:
            - boolean
            - 'null'
        closed:
          type:
            - boolean
            - 'null'
        closedTime:
          type:
            - integer
            - 'null'
          format: int64
        commentCount:
          type:
            - integer
            - 'null'
          format: int32
        competitive:
          type:
            - number
            - 'null'
          format: double
        creationDate:
          type:
            - integer
            - 'null'
          format: int64
        description:
          type:
            - string
            - 'null'
        enableOrderbook:
          type:
            - boolean
            - 'null'
        endDate:
          type:
            - integer
            - 'null'
          format: int64
        featured:
          type:
            - boolean
            - 'null'
        featuredImage:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        id:
          type: string
        image:
          type:
            - string
            - 'null'
        liquidity:
          type:
            - number
            - 'null'
          format: double
        marketCount:
          type: integer
          format: int64
        markets:
          type: array
          items:
            $ref: '#/components/schemas/EventMarket'
        negRisk:
          type:
            - boolean
            - 'null'
        new:
          type:
            - boolean
            - 'null'
        openInterest:
          type:
            - number
            - 'null'
          format: double
        resolutionSource:
          type:
            - string
            - 'null'
        restricted:
          type:
            - boolean
            - 'null'
        seriesSlug:
          type:
            - string
            - 'null'
        slug:
          type:
            - string
            - 'null'
        startDate:
          type:
            - integer
            - 'null'
          format: int64
        subcategory:
          type:
            - string
            - 'null'
        subtitle:
          type:
            - string
            - 'null'
        themes:
          type: array
          items:
            $ref: '#/components/schemas/Theme'
        ticker:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        venue:
          type: string
        volume:
          type:
            - number
            - 'null'
          format: double
        volume1mo:
          type:
            - number
            - 'null'
          format: double
        volume1wk:
          type:
            - number
            - 'null'
          format: double
        volume1yr:
          type:
            - number
            - 'null'
          format: double
        volume24hr:
          type:
            - number
            - 'null'
          format: double
    EventMarket:
      type: object
      required:
        - conditionId
        - status
        - outcomes
      properties:
        acceptingOrders:
          type:
            - boolean
            - 'null'
        bestAsk:
          type:
            - number
            - 'null'
          format: double
        bestBid:
          type:
            - number
            - 'null'
          format: double
        conditionId:
          type: string
        enableOrderbook:
          type:
            - boolean
            - 'null'
        endDate:
          type:
            - integer
            - 'null'
          format: int64
        groupItemTitle:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image:
          type:
            - string
            - 'null'
        lastTradePrice:
          type:
            - number
            - 'null'
          format: double
        liquidity:
          type:
            - number
            - 'null'
          format: double
        oneDayPriceChange:
          type:
            - number
            - 'null'
          format: double
        outcomes:
          type: array
          items:
            $ref: '#/components/schemas/Outcome'
        question:
          type:
            - string
            - 'null'
        resolution:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Resolution'
        slug:
          type:
            - string
            - 'null'
        spread:
          type:
            - number
            - 'null'
          format: double
        startDate:
          type:
            - integer
            - 'null'
          format: int64
        status:
          type: string
        volume:
          type:
            - number
            - 'null'
          format: double
        volume1mo:
          type:
            - number
            - 'null'
          format: double
        volume1wk:
          type:
            - number
            - 'null'
          format: double
        volume1yr:
          type:
            - number
            - 'null'
          format: double
        volume24hr:
          type:
            - number
            - 'null'
          format: double
    Theme:
      type: object
      properties:
        label:
          type:
            - string
            - 'null'
        slug:
          type:
            - string
            - 'null'
    ErrorResponse:
      type: object
      required:
        - type
        - status
        - title
        - detail
        - requestId
      properties:
        detail:
          type: string
          example: Resource not found
        requestId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        status:
          type: integer
          format: int32
          example: 404
          minimum: 0
        title:
          type: string
          example: Not Found
        type:
          type: string
          example: about:blank
    Outcome:
      type: object
      required:
        - label
      properties:
        label:
          type: string
        price:
          type:
            - number
            - 'null'
          format: double
        tokenId:
          type:
            - string
            - 'null'
    Resolution:
      type: object
      required:
        - conditionId
        - payoutNumerators
        - resolvedTs
        - resolutionSource
      properties:
        conditionId:
          type: string
        payoutNumerators:
          type: array
          items:
            type: integer
            format: int64
        resolutionSource:
          type: integer
          format: int32
        resolvedTs:
          type: string
  responses:
    BadRequestResponse:
      description: Invalid request parameters.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Invalid query parameters
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 400
            title: Bad Request
            type: about:blank
    UnauthorizedResponse:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Invalid API key
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 401
            title: Unauthorized
            type: about:blank
    NotFoundResponse:
      description: Resource not found.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Resource not found
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 404
            title: Not Found
            type: about:blank
    TooManyRequestsResponse:
      description: Rate limit exceeded.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Rate limit exceeded
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 429
            title: Too Many Requests
            type: about:blank
    InternalServerErrorResponse:
      description: Unexpected server error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Unexpected error
            requestId: 550e8400-e29b-41d4-a716-446655440000
            status: 500
            title: Internal Server Error
            type: about:blank
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````